import matplotlib.pyplot as plt
plt.rcParams.update({'font.size': 16})


from Hastighetsmodell import NVDB_posisjon
from Hastighetsmodell import CSV_File_Reader

Z_NVDB = NVDB_posisjon.z
X_NVDB = NVDB_posisjon.L

Z_VBOX = CSV_File_Reader.list_height
X_VBOX = CSV_File_Reader.list_distance

Z_diff = [x - (Z_VBOX[0] - Z_NVDB[0]) for x in Z_VBOX]
null_Z_VBOX = [(x - Z_VBOX[0]) for x in Z_VBOX]
null_Z_NVDB = [(x - Z_NVDB[0]) for x in Z_NVDB]

save_results_to = '/Users/simen/Desktop/Plot/'

fig1, ax1 = plt.subplots()

ax1.set_xlabel('Horisontal avstand [m]', fontsize=16)
ax1.set_ylabel('Høydemeter [moh]', fontsize=16)
plt.plot(X_NVDB, Z_NVDB, 'r', label='NVDB') # plotting t, a separately
plt.plot(X_VBOX, Z_VBOX, 'b', label='VBOX') # plotting t, b separately
ax1.tick_params(labelsize=14)
plt.legend(fontsize=16)
plt.savefig(save_results_to + 'NVDBvsVBOX.pdf', bbox_inches='tight')
plt.show()


fig2, ax2 = plt.subplots()

ax2.set_xlabel('Horisontal avstand [m]', fontsize=16)
ax2.set_ylabel('Vertikal avstand [m]', fontsize=16)
plt.plot(X_NVDB, null_Z_NVDB, 'r',label='NVDB') # plotting t, a separately
plt.plot(X_VBOX, null_Z_VBOX, 'b',label='VBOX') # plotting t, b separately
ax2.tick_params(labelsize=14)
plt.legend(fontsize=16)
plt.savefig(save_results_to + 'NVDBvsVBOX_0.pdf', bbox_inches='tight')
plt.show()

fig3, ax3 = plt.subplots()

ax3.set_xlabel('Horisontal avstand [m]')
ax3.set_ylabel('Stigning [%]')
plt.plot(NVDB_posisjon.L[1:], NVDB_posisjon.S, 'r',label = 'NVDB') # plotting t, a separately
plt.plot(CSV_File_Reader.Acchor20, CSV_File_Reader.stigning20, 'b',label='VBOX') # plotting t, b separately
plt.legend()
plt.savefig(save_results_to + 'Stigning_sammenligning.pdf', bbox_inches='tight' )
plt.show()

print('VBOX høyde start ',Z_VBOX[0])
print('NVDB høyde start', Z_NVDB[0])

print('VBOX høyde slutt',Z_VBOX[600])
print('NVDB høyde slutt', Z_NVDB[32])

print('VBOX avstand slutt',X_VBOX[600])
print('NVDB avstand slutt', X_NVDB[32])

print('VBOX avstand lik lengde',X_VBOX[584])